<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/ll_post"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <android.support.v7.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/cv_post"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:clickable="true"
        android:focusable="true"
        android:foreground="?android:attr/selectableItemBackground"
        app:cardUseCompatPadding="true"
        app:cardCornerRadius="@dimen/height_indicator"
        app:cardElevation="@dimen/margin_sss">
        <!--app:cardUseCompatPadding="true"解决角边阴影问题-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/margin_s">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginBottom="@dimen/margin_s">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/iv_head"
                    android:layout_width="@dimen/height_edit_text"
                    android:layout_height="@dimen/height_edit_text"
                    android:src="@mipmap/logo"
                    android:tint="@color/white"
                    android:layout_gravity="center_vertical"
                    app:civ_border_color="@color/gray_divider"
                    app:civ_border_width="@dimen/height_divider_micro"/>

                <!--昵称和日期-->
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_marginLeft="@dimen/margin_s"
                    android:layout_gravity="center_vertical">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:gravity="center_vertical">
                        <TextView
                            android:id="@+id/tv_nickname"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/gray_text"
                            android:textSize="@dimen/text_normal_p"
                            android:singleLine="true"
                            android:ellipsize="end"
                            android:maxWidth="@dimen/height_cover"
                            android:textStyle="bold"/>
                        <TextView
                            android:id="@+id/tv_vip_flag"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="@dimen/text_sss"
                            android:textColor="@color/gray_text"
                            android:text="VIP"
                            android:visibility="gone"
                            android:layout_marginLeft="@dimen/margin_s"
                            android:background="@drawable/shape_radius_gray_stroke_s"
                            android:paddingLeft="@dimen/margin_s"
                            android:paddingRight="@dimen/margin_s"
                            android:paddingTop="@dimen/margin_sss"
                            android:paddingBottom="@dimen/margin_sss" />
                    </LinearLayout>

                    <!--日期-->
                    <TextView
                        android:id="@+id/tv_date"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/gray_text_s"
                        android:textSize="@dimen/text_s"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:layout_marginTop="@dimen/margin_sss"/>
                </LinearLayout>

                <Space
                    android:layout_width="@dimen/size_zero"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"/>

                <TextView
                    android:id="@+id/tv_money"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/text_normal_s"
                    android:layout_gravity="center_vertical"
                    android:textStyle="bold"
                    android:textColor="@color/red" />

            </LinearLayout>

            <!--失物招领内容-->
            <com.itant.shiwushu.widget.AlignTextView
                android:id="@+id/tv_type"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/gray_text"
                android:textIsSelectable="false"
                android:textSize="@dimen/text_normal_p"
                android:textColorHighlight="@color/colorPrimary"
                android:visibility="gone"/>
            <com.itant.shiwushu.widget.AlignTextView
                android:id="@+id/tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/gray_text"
                android:textIsSelectable="false"
                android:textSize="@dimen/text_normal_p"
                android:textColorHighlight="@color/colorPrimary"/>

            <!--失物招领图片-->
            <FrameLayout
                android:id="@+id/fl_photo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_gray_stroke_s"
                android:padding="@dimen/height_divider"
                android:layout_marginTop="@dimen/margin_s"
                android:visibility="gone">
                <android.support.v7.widget.AppCompatImageView
                    android:id="@+id/aciv_related_photo"
                    android:layout_width="@dimen/size_image_list"
                    android:layout_height="@dimen/size_image_list"
                    android:scaleType="centerCrop"/>
            </FrameLayout>

            <!--位置-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                android:layout_marginTop="@dimen/margin_s">
                <android.support.v7.widget.AppCompatImageView
                    android:layout_width="@dimen/size_image_ss"
                    android:layout_height="@dimen/size_image_setting"
                    android:layout_gravity="center_vertical"
                    android:foregroundGravity="center_vertical"
                    android:paddingBottom="@dimen/margin_ss"
                    android:paddingTop="@dimen/margin_ss"
                    android:src="@drawable/ic_location"
                    android:tint="@color/gray_text_s" />

                <TextView
                    android:id="@+id/tv_city_lost"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:layout_gravity="center_vertical"
                    android:textSize="@dimen/text_s"
                    android:textColor="@color/gray_text_s"
                    android:layout_marginRight="@dimen/margin_s"/>

                <android.support.v7.widget.AppCompatImageView
                    android:layout_width="@dimen/size_image_setting"
                    android:layout_height="@dimen/size_image_setting"
                    android:layout_gravity="center_vertical"
                    android:foregroundGravity="center_vertical"
                    android:padding="@dimen/margin_ss"
                    android:src="@drawable/ic_visibility"
                    android:tint="@color/gray_text_s" />

                <TextView
                    android:id="@+id/tv_browse_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:layout_gravity="center_vertical"
                    android:textSize="@dimen/text_s"
                    android:textColor="@color/gray_text_s"
                    android:text="0"
                    android:layout_marginLeft="@dimen/margin_sss"/>
            </LinearLayout>
        </LinearLayout>
    </android.support.v7.widget.CardView>
</FrameLayout>